package com.openhis.web.paymentmanage.appservice;

import java.util.Map;

import com.openhis.web.paymentmanage.dto.ChargeSummaryDto;

public interface IChargeBillService {
    /**
     * 小票信息
     * 
     * @param paymentId 入参
     * @return 结果
     */
    Map getDetail(Long paymentId);

    /**
     * 日结账单报表
     * 
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @param entererId 收款员
     * @param contractNo 合同
     * @return 结果
     */
    Map getTotal(String startTime, String endTime, Long entererId, String contractNo);

    Map getTotalCcu(String startTime, String endTime, Long entererId);

    Map getTotalCommen(String startTime, String endTime, Long entererId, String contractNo);

    /**
     * 医保保障金的相关接口（弃用）
     * 
     * @param paymentId 付款id
     * @return 结果
     */
    Map getMedicalExpenseCoverageSummary(Long paymentId);

    /**
     * 按照科室营收情况
     * 
     * @param chargeSummaryDto 入参
     * @return 结果
     */
    Map getChargeItemByOrg(ChargeSummaryDto chargeSummaryDto);

    /**
     * 小票信息（农大）
     * 
     * @param paymentId 付款id
     * @return 结果
     */
    Map getReceiptDetailsND(Long paymentId);
}
